package com.mdd.admin.service.impl;

import com.alibaba.fastjson2.JSON;
import com.mdd.admin.service.ISettingCopyrightService;
import com.mdd.admin.validate.setting.SettingCopyrightValidate;
import com.mdd.admin.vo.setting.SettingCopyrightVo;
import com.mdd.common.util.ConfigUtils;
import com.mdd.common.util.ListUtils;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public class SettingCopyrightServiceImpl implements ISettingCopyrightService {
   public List<SettingCopyrightVo> detail() {
      String config = ConfigUtils.get("website", "copyright", "[]");
      List<Map<String, String>> copyright = ListUtils.stringToListAsMapStr(config);
      List<SettingCopyrightVo> list = new LinkedList();
      Iterator var4 = copyright.iterator();

      while(var4.hasNext()) {
         Map<String, String> map = (Map)var4.next();
         SettingCopyrightVo vo = new SettingCopyrightVo();
         vo.setName((String)map.getOrDefault("name", ""));
         vo.setLink((String)map.getOrDefault("link", ""));
         list.add(vo);
      }

      return list;
   }

   public void save(SettingCopyrightValidate copyrightValidate) {
      String s = JSON.toJSONString(copyrightValidate.getList());
      ConfigUtils.set("website", "copyright", s);
   }
}
